import type { _PHProjectAssetElement } from "./PHProjectAssetElement.js";
import type { _PHProjectElement } from "./PHProjectElement.js";
import type { _PHProjectTextElement } from "./PHProjectTextElement.js";
import type { _NSDate } from "../Foundation/NSDate.js";
export declare class _PHProjectJournalEntryElement extends _PHProjectElement {
    static alloc(): _PHProjectJournalEntryElement;
    static new(): _PHProjectJournalEntryElement;
    init(): _PHProjectJournalEntryElement;
    /** Date to which the provided asset and/or text pertain */
    date(): _NSDate;
    /** Representative asset, if any, for that date. */
    assetElement(): _PHProjectAssetElement | null;
    /** Descriptive text (e.g., "Mom's Birthday") for that date. */
    textElement(): _PHProjectTextElement | null;
}
